ข้ามไปยังเนื้อหา

Framepack · FLF2V

ผสานการทำงาน

ID โมเดล framepack/flf2v
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/framepack/flf2v?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.134 134 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Open model ภาพเป็นวิดีโอ สูงสุด 720p #image-to-video#motion

วิดีโอ Framepack ที่ทำการอินเตอร์โพเลชันจากรูปภาพเริ่มต้นไปยังรูปภาพปลายทางที่จำเป็นต้องระบุ

Open model · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

คำสั่งข้อความสำหรับสร้างวิดีโอ จำกัดที่ 500 อักขระ

•จำเป็น image_url
วางไฟล์ หรือ

URL ที่ชี้ไปยังรูปภาพอินพุต

•จำเป็น end_image_url
วางไฟล์ หรือ

URL ที่ชี้ไปยังรูปภาพอินพุตตอนจบ

aspect_ratio ค่าเริ่มต้น 16:9

อัตราส่วนภาพของวิดีโอเอาต์พุต

resolution ค่าเริ่มต้น 480p

ความละเอียดของวิดีโอเอาต์พุต

ค่าเริ่มต้น 240

จำนวนเฟรมของเอาต์พุตที่สร้าง

ขั้นสูง negative_prompt · cfg_scale · guidance_scale · strength · seed · enable_safety_checker
ค่าเริ่มต้น

พรอมต์เชิงลบที่ใช้เมื่อสร้างวิดีโอ

ค่าเริ่มต้น 1

สเกลที่ใช้กับการนำทางแบบปลอดคลาสระหว่างการสร้าง

ค่าเริ่มต้น 10

สเกลของคำแนะนำที่ใช้ระหว่างการสร้าง

ค่าเริ่มต้น 0.8

น้ำหนักที่กำหนดให้เฟรมสุดท้ายระหว่างการสร้างวิดีโอ การเพิ่มค่าจะเพิ่มอิทธิพลของเฟรมนั้น

ค่า Seed สำหรับการสร้างวิดีโอ

POST /run/framepack/flf2v?wait=20 ใบเสนอราคา → $0.134
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/framepack/flf2v?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ Framepack · FLF2V

สร้างวิดีโอที่เริ่มจาก `image_url` และเคลื่อนไปยัง `end_image_url` โดยมีพรอมป์ควบคุม ค่า `strength` (0 ถึง 1 ค่าเริ่มต้น 0.8) กำหนดอิทธิพลของเฟรมสุดท้ายต่อผลลัพธ์ `num_frames` รองรับ 30 ถึง 1800 โดยมีค่าเริ่มต้น 240 รองรับ 16:9 หรือ 9:16 และ 480p หรือ 720p

พารามิเตอร์

ส่งชื่อมาตรฐานหรือชื่อดั้งเดิมอย่างใดอย่างหนึ่งเท่านั้น ห้ามส่งทั้งสองชื่อ ชื่อมาตรฐาน

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
คำสั่งข้อความสำหรับสร้างวิดีโอ จำกัดที่ 500 อักขระ
negative_promptไม่บังคับ
ประเภทstring
ค่าเริ่มต้น
พรอมต์เชิงลบที่ใช้เมื่อสร้างวิดีโอ
image_urlจำเป็น image
ประเภทurl · image
URL ที่ชี้ไปยังรูปภาพอินพุต
seedไม่บังคับ
ประเภทinteger | null
ค่า Seed สำหรับการสร้างวิดีโอ
aspect_ratioไม่บังคับ
ประเภทenum
ค่าเริ่มต้น16:9
16:99:16
อัตราส่วนภาพของวิดีโอเอาต์พุต
resolutionไม่บังคับ
ประเภทenum
ค่าเริ่มต้น480p
720p480p
ความละเอียดของวิดีโอเอาต์พุต
cfg_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น1
0 – 7
สเกลที่ใช้กับการนำทางแบบปลอดคลาสระหว่างการสร้าง
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น10
0 – 32
สเกลของคำแนะนำที่ใช้ระหว่างการสร้าง
num_framesไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น240
30 – 1,800
จำนวนเฟรมของเอาต์พุตที่สร้าง
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นfalse
การเปิดใช้ตัวตรวจสอบความปลอดภัย; true จะเปิดใช้การตรวจสอบ
end_image_urlจำเป็น end_image
ประเภทurl · image
URL ที่ชี้ไปยังรูปภาพอินพุตตอนจบ
strengthไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น0.8
0 – 1
น้ำหนักที่กำหนดให้เฟรมสุดท้ายระหว่างการสร้างวิดีโอ การเพิ่มค่าจะเพิ่มอิทธิพลของเฟรมนั้น
จำเป็น ชื่อมาตรฐาน ซึ่งรองรับเช่นกัน

พารามิเตอร์ไฟล์รับ URL https:// สาธารณะ, data: URI ขนาดไม่เกิน 10 MB หรือ file_url ของไฟล์ที่อัปโหลด ไฟล์

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "framepack/flf2v",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 134,
    "usd": "0.134",
    "charged": 134,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "end_image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}
seed
integerค่า Seed ที่ใช้ระหว่างการสร้างวิดีโอ

โมเดลเพิ่มเติม: ภาพเป็นวิดีโอ

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/framepack/flf2v.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt